Summary: An op5 Monitor plugin to monitor Xen Hypervisor via XenAPI. 
Name: monitor-plugin-check_xenapi
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPL
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: perl
Requires: perl(Nagios::Plugin)
Requires: perl(File::Basename)
Requires: perl(Time::Local)
Requires: perl(XenAPI::Session)
Requires: perl(XenAPI::RRD)
Requires: perl(Data::Dumper)

%if 0%{?suse_version}
# SLES-specific stuff
%else
# Common RHEL stuff
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
This plugin checks Xen Hypervisor via Xen API.
Every check requires session to Xen Hypervisor.

%prep
%setup -q

%build

%install
mkdir -p %buildroot/opt/plugins
cp check_xenapi.pl %buildroot/opt/plugins/check_xenapi.pl
cp -r ./xen %buildroot%prefix


pushd %buildroot%prefix
	ln -s check_xenapi.pl check_xenapi
popd

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%attr(755,root,root) /opt/plugins/check_xenapi.pl
%attr(755,root,root) /opt/plugins/check_xenapi
%dir /opt/plugins/xen
%attr(755,root,root) /opt/plugins/xen/*

%doc LICENSE

%changelog
* Tue May 30 2013 Martin Kamijo <mk@op5.com>
Inital commit of the plugins
